## ESourceGroup

ESourceGroup —

## Synopsis

                        ESourceGroupPrivate;
    ESourceGroup*       e_source_group_new                  (const char *name,
                                                             const char *base_uri);
    ESourceGroup*       e_source_group_new_from_xml         (const char *xml);
    ESourceGroup*       e_source_group_new_from_xmldoc      (xmlDocPtr doc);
    gboolean            e_source_group_update_from_xml      (ESourceGroup *group,
                                                             const char *xml,
                                                             gboolean *changed_return);
    gboolean            e_source_group_update_from_xmldoc   (ESourceGroup *group,
                                                             xmlDocPtr doc,
                                                             gboolean *changed_return);
    char*               e_source_group_uid_from_xmldoc      (xmlDocPtr doc);
    void                e_source_group_set_name             (ESourceGroup *group,
                                                             const char *name);
    void                e_source_group_set_base_uri         (ESourceGroup *group,
                                                             const char *base_uri);
    void                e_source_group_set_readonly         (ESourceGroup *group,
                                                             gboolean readonly);
    const char*         e_source_group_peek_uid             (ESourceGroup *group);
    const char*         e_source_group_peek_name            (ESourceGroup *group);
    const char*         e_source_group_peek_base_uri        (ESourceGroup *group);
    gboolean            e_source_group_get_readonly         (ESourceGroup *group);
    GSList*             e_source_group_peek_sources         (ESourceGroup *group);
    ESource*            e_source_group_peek_source_by_uid   (ESourceGroup *group,
                                                             const char *source_uid);
    ESource*            e_source_group_peek_source_by_name  (ESourceGroup *group,
                                                             const char *source_name);
    gboolean            e_source_group_add_source           (ESourceGroup *group,
                                                             ESource *source,
                                                             int position);
    gboolean            e_source_group_remove_source        (ESourceGroup *group,
                                                             ESource *source);
    gboolean            e_source_group_remove_source_by_uid (ESourceGroup *group,
                                                             const char *uid);
    char*               e_source_group_to_xml               (ESourceGroup *group);

## Description

## Details

### ESourceGroupPrivate

    typedef struct _ESourceGroupPrivate ESourceGroupPrivate;

### e_source_group_new ()

    ESourceGroup*       e_source_group_new                  (const char *name,
                                                             const char *base_uri);

`name` : |
`base_uri` : |
Returns : |

### e_source_group_new_from_xml ()

    ESourceGroup*       e_source_group_new_from_xml         (const char *xml);

`xml` : |
Returns : |

### e_source_group_new_from_xmldoc ()

    ESourceGroup*       e_source_group_new_from_xmldoc      (xmlDocPtr doc);

`doc` : |
Returns : |

### e_source_group_update_from_xml ()

    gboolean            e_source_group_update_from_xml      (ESourceGroup *group,
                                                             const char *xml,
                                                             gboolean *changed_return);

`group` : |
`xml` : |
`changed_return` : |
Returns : |

### e_source_group_update_from_xmldoc ()

    gboolean            e_source_group_update_from_xmldoc   (ESourceGroup *group,
                                                             xmlDocPtr doc,
                                                             gboolean *changed_return);

`group` : |
`doc` : |
`changed_return` : |
Returns : |

### e_source_group_uid_from_xmldoc ()

    char*               e_source_group_uid_from_xmldoc      (xmlDocPtr doc);

`doc` : |
Returns : |

### e_source_group_set_name ()

    void                e_source_group_set_name             (ESourceGroup *group,
                                                             const char *name);

`group` : |
`name` : |

### e_source_group_set_base_uri ()

    void                e_source_group_set_base_uri         (ESourceGroup *group,
                                                             const char *base_uri);

`group` : |
`base_uri` : |

### e_source_group_set_readonly ()

    void                e_source_group_set_readonly         (ESourceGroup *group,
                                                             gboolean readonly);

`group` : |
`readonly` : |

### e_source_group_peek_uid ()

    const char*         e_source_group_peek_uid             (ESourceGroup *group);

`group` : |
Returns : |

### e_source_group_peek_name ()

    const char*         e_source_group_peek_name            (ESourceGroup *group);

`group` : |
Returns : |

### e_source_group_peek_base_uri ()

    const char*         e_source_group_peek_base_uri        (ESourceGroup *group);

`group` : |
Returns : |

### e_source_group_get_readonly ()

    gboolean            e_source_group_get_readonly         (ESourceGroup *group);

`group` : |
Returns : |

### e_source_group_peek_sources ()

    GSList*             e_source_group_peek_sources         (ESourceGroup *group);

`group` : |
Returns : |

### e_source_group_peek_source_by_uid ()

    ESource*            e_source_group_peek_source_by_uid   (ESourceGroup *group,
                                                             const char *source_uid);

`group` : |
`source_uid` : |
Returns : |

### e_source_group_peek_source_by_name ()

    ESource*            e_source_group_peek_source_by_name  (ESourceGroup *group,
                                                             const char *source_name);

`group` : |
`source_name` : |
Returns : |

### e_source_group_add_source ()

    gboolean            e_source_group_add_source           (ESourceGroup *group,
                                                             ESource *source,
                                                             int position);

`group` : |
`source` : |
`position` : |
Returns : |

### e_source_group_remove_source ()

    gboolean            e_source_group_remove_source        (ESourceGroup *group,
                                                             ESource *source);

`group` : |
`source` : |
Returns : |

### e_source_group_remove_source_by_uid ()

    gboolean            e_source_group_remove_source_by_uid (ESourceGroup *group,
                                                             const char *uid);

`group` : |
`uid` : |
Returns : |

### e_source_group_to_xml ()

    char*               e_source_group_to_xml               (ESourceGroup *group);

`group` : |
Returns : |